﻿using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Views.BandedGrid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridControl.MainView.Dispose();

            BandedGridView view = new BandedGridView(gridControl);

            this.gridControl.MainView = view;

            GridBand band = view.Bands.AddBand("밴드 1");

            BandedGridColumn column = view.Columns.AddField("컬럼 1");

            column.OwnerBand = band;
            column.Visible   = true;
        }

        #endregion
    }
}